using System;
using Server;
using Server.Network;

namespace Server.Items
{
	public class FarmableCantaloupe : FarmableCrop
	{
		public static int GetCropID()
		{
			return 0x01FB;
		}

		public override Item GetCropObject()
		{
			Cantaloupe cantaloupe = new Cantaloupe();

			cantaloupe.ItemID = 0xc79;

			return cantaloupe;
		}

		public override int GetPickedID()
		{
			return 0x0C60;
		}

		[Constructable]
		public FarmableCantaloupe() : base( GetCropID() )
		{
			Name = "cantaloupe";
		}

		public FarmableCantaloupe( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
}